import Client from "../../../Client/Client"
import { INetResponse } from "./Core/INetResponse"

export abstract class NetResponse implements INetResponse<any> {
	protected data: any = undefined
	protected method: string = ""
	protected ws: Client = undefined
	protected status: number = undefined

	get Method(): string {
		return this.method
	}
	get WS(): Client {
		return this.ws
	}
	get Status(): number {
		return this.status
	}
	get Data(): any {
		return this.data
	}

	constructor(ws: Client, data: any, status: number = 0) {
		this.ws = ws
		this.data = data
		this.status = status
	}
}
